/*
============================================================================================


	JS-GIS API: JavaScript Static Geographic Information System browser library
 	Copyright (C) 2001, 2002 Luca Sigfrido Percich

	The JS-GIS API is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation: please refer to

	http://www.gnu.org/licenses/gpl.html

	The JS-GIS API is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.


============================================================================================

	jsgis_points.js		standard vector points handling

 	Author:			Luca Sigfrido Percich (luca.percich@reacoop.it)
 	Version:		2.0
 	Last updated:		dec 26, 2002

	Usage: 
		- include this script in the <HEAD> of the main page;

		- add points top a map using the addPoint() function.
		- remove all the points from map using the clearPoints() function.

============================================================================================
*/

// selection special point object, always loaded on map
var selection = new TMapObject(new TPoint(0, 0), '', '', 'selection.png', 32, 32)
selection.visible = 0
clearPoints()



// Remove all points from Map
// Remember to call Map.update(1,1,1,1) or fr_map.location.reload
function clearPoints()
{
	Map.drawList.length = 0
	Map.drawList[0] = selection
}


function addPoint(X, Y, table, id, filename, sizeX, tip, sizeY)
{
	sizeY = (sizeY) ? sizeY : sizeX

	var p = new TMapObject(new TPoint(X, Y), table, id, filename, sizeX, sizeY)
	p.contents.alt = tip
	p.contents.anchor = new TAnchor('javascript:parent.info(\'' + id + '\',\'' + table + '\')')

	Map.drawList[Map.drawList.length] = p

}


